#include <stdio.h>

int main(){
  
  unsigned int x, pr, dr, pom=0, z=1, y, kon;
  
  printf("Unesite neki broj: ");
  scanf("%ud", &x);
   
   y=x;
   while(y!=0){
   y=y/10;
   pom+=1;
   }
   while(pom!=1){
     z*=10;
     pom-=1;
   }
    pr=x/z;
    dr=(x/(z/10))%10;
   while(z!=1){
     if(pr==dr){
	z/=10;
	pr=dr;
	dr=(x/(z/10))%10;
     }
     else{
	kon=pr;
	kon=kon*10+dr;
	pr=dr;
	z/=10;
	dr=(x/(z/10))%10;
	printf("%d", kon);
     }
   } 
     return 0;
}   